Subject: [Cellar] license of the Matroska specification

From: Dave Rice <[email-masked]>
Date: Sun, 13 Mar 2016 15:24:53 -0400

The EBML specification is licensed under CC BY 4.0: https://github.com/Matroska-Org/ebml-specification/blob/master/README.markdown

What is the license for the documentation and specification of Matroska. I see this https://matroska.org/node/47, but it doesn’t list the license of the spec specifically. Am I missing something?

Dave Rice

---

From: Moritz Bunkus <[email-masked]>
Date: Mon, 14 Mar 2016 09:11:36 +0100

Hey,

just like the EBML specs we haven't really talked about a license
yet. I'm fine with CC BY 4.0. Steve?

Kind regards,
mosu

---

From: "Timothy B. Terriberry" <[email-masked]>
Date: Mon, 14 Mar 2016 12:54:56 -0700

> yet. I'm fine with CC BY 4.0. Steve?

To allow the IETF to publish the documents, authors are required to 
grant a license to the IETF as detailed in BCP 78 Section 5.3 
<https://tools.ietf.org/html/bcp78#section-5.3>. The IETF in turn grants 
a license to everyone, as detailed at 
<http://trustee.ietf.org/license-info> (apologies for the non-https link).

The IETF does not require copyright assignment, so of course it is 
possible to also publish the material under other licenses (as long as 
it does not claim to be an RFC). See RFC 5377 Section 4.5 
<https://tools.ietf.org/html/rfc5377#section-4.5> for details.

---

From: "Ben Campbell" <[email-masked]>
Date: Mon, 14 Mar 2016 14:59:57 -0500

On 14 Mar 2016, at 14:54, Timothy B. Terriberry wrote:

> <https://tools.ietf.org/html/bcp78#section-5.3>. The IETF in turn 
> grants a license to everyone, as detailed at 

To be clear, submitting an internet draft with the standard boilerplate 
assigns copyright of the _draft_ (and resulting RFC) itself to the IETF 
trust, in addition to the authors. That does not restrict the authors 
from publishing other versions with different copyrights.

Thanks!

Ben.

---

From: "Timothy B. Terriberry" <[email-masked]>
Date: Mon, 14 Mar 2016 14:30:33 -0700

> from publishing other versions with different copyrights.

Correct, for the collective work published as an RFC. See BCP 78 Section 
5.9 <https://tools.ietf.org/html/bcp78#section-5.9>.

---

From: Steve Lhomme <[email-masked]>
Date: Sun, 20 Mar 2016 10:43:44 +0100

2016-03-14 20:59 GMT+01:00 Ben Campbell <[email-masked]>:
>> To allow the IETF to publish the documents, authors are required to grant
>> a license to the IETF as detailed in BCP 78 Section 5.3
>> <https://tools.ietf.org/html/bcp78#section-5.3>. The IETF in turn grants a
>> license to everyone, as detailed at <http://trustee.ietf.org/license-info>
>> (apologies for the non-https link).
>>
>> possible to also publish the material under other licenses (as long as it
>> does not claim to be an RFC). See RFC 5377 Section 4.5
> trust, in addition to the authors. That does not restrict the authors from
> publishing other versions with different copyrights.

Fine with me for the IETF document.
The one on matroska.org should be like the EBML one, CC BY 4.0.

> Thanks!
>
> Ben.
>
>
> _______________________________________________
> Cellar mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/cellar

-- 
Steve Lhomme
Matroska association Chairman